package com.chelvc.cloud.maintain.vo;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 商家信息
 *
 * @author Woody
 * @date 2023/5/5
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class MerchantVO implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 商家名称
     */
    private String name;

    /**
     * Logo
     */
    private String logo;

    /**
     * 封面
     */
    private String cover;

    /**
     * 商家等级
     */
    private Integer level;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 距离（米）
     */
    private Integer distance;

    /**
     * 是否推荐
     */
    private Boolean recommend;

    /**
     * 详细介绍
     */
    private String description;
}
