package com.chelvc.cloud.maintain.vo;

import java.io.Serializable;
import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 顾客端首页信息
 *
 * @author Woody
 * @date 2023/5/4
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CustomerIndexVO implements Serializable {
    /**
     * 推荐商家列表
     */
    private List<MerchantVO> recommends;

    /**
     * 附件商家列表
     */
    private List<MerchantVO> nears;
}
